package com.qmth.exam.reserve.bean.stdapply;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.exam.reserve.bean.IModel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description 未完成预约的考生
 * @Author haoguanghui
 * @date 2024/05/28
 */
@Getter
@Setter
public class StudentExport implements IModel {

    @ExcelColumn(name = "学号", index = 0)
    private String studentCode;

    @ExcelColumn(name = "考生姓名", index = 1)
    private String studentName;

    @ExcelColumn(name = "证件号码", index = 2)
    private String identityNumber;

    @ExcelColumn(name = "所属教学点", index = 3)
    private String teachingName;

    @ExcelColumn(name = "未预约的场次数", index = 4)
    private String remainApplyNumber;

}
